monolog:
  handlers:
    # en prod, on regroupe < warning et on sort tout warning+ au handler 'nested'
    main:
      type: fingers_crossed
      action_level: warning
      handler: nested
      # on continue d'envoyer les erreurs immédiates en stderr
      passthru_level: critical

    nested:
      type: stream
      path: 'php://stderr'
      level: debug

    # optionnel: gardez la console si vous utilisez encore des commandes interactives
    console:
      type: console
      process_psr_3_messages: false
      channels: ['!event', '!doctrine', '!console']

    # si vous voulez quand même un fichier (en plus des streams docker)
    file_fallback:
      type: stream
      path: '%kernel.logs_dir%/%kernel.environment%.log'
      level: notice
      channels: ['!event', '!doctrine', '!console']